import networkx as nx
import random as r

def path(G, n=10, revisit=False):
	(_, node) = choose(G.nodes())
	
	for x in range(1,n):
		G.node[node]['visited'] = True
		((_, node_next), _) = choose(G.edges(node))
		node = node_next



def choose(l):
	""" Escolhe um elemento random uniforme da list l """
	i = r.randint(0, len(l)-1)
	return (l[i], i)


def visited(G):
	v = []
	for (n, _) in G.nodes(data = True):
		if G.node[n].has_key('visited'):
			v.append(n)
	return v

def clear_visits(G):
	for (n, d) in G.nodes(data = True):
		if G.node[n].has_key('visited'):
			d.pop('visited')

a = nx.random_geometric_graph(100,12)

path(a,10)
visits(a)
print a
clear_visits(a)
